## gnome-shell 3.26.1

=== debian/changelog ===
gnome-shell (3.26.1-0ubuntu4) artful; urgency=medium

  * revert_023b50e7a7002226d6176bede22930d96da074a9.patch,
    revert_5c37facc083078564faaeec4aa58084857c56ee1.patch,
    and comment git_layout-unset-when-headless.patch:
    - Revert 2 upstream commits and cherry-pick to remove headless mode
      which shadows Shell crashing and thus fallback to Xorg, resulting in
      some user configs not having any UI on startup. (LP: #1723577)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 18 Oct 2017 15:05:32 +0200

gnome-shell (3.26.1-0ubuntu3) artful; urgency=medium

  * Cherry-pick git_layout-unset-when-headless.patch from gnome-3-26
    branch to fix crash bug (LP: #1717170)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Oct 2017 16:10:59 -0400

gnome-shell (3.26.1-0ubuntu2) artful; urgency=medium

  [ Andrea Azzarone ]
  * debian/patches/workaround_crasher_fractional_scaling.patch:
    workaround a popular crash for now when fractional scaling is enabled.
    Andrea is working on a proper fix/debug (LP: #1714542)


  [ Didier Roche ]
  * debian/patches/fix_reset_initial_focus.patch:
    - cherry-pick fixed proposed by upstream to avoid regression when keyboard
      is used the second time a modal dialog is drawn.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 10 Oct 2017 10:09:56 +0200

gnome-shell (3.26.1-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/ubuntu-session-mods/ubuntu.css: workaround font blurryness
    under wayland by providing a slight stroke around the font matching
    windows title bar. (LP: #1714459)
  * Remove 72_consistent_alt_key_above_tab_behavior.patch: upstreamed
  * Remove run-unit-tests.patch: was cherry-picked

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 06 Oct 2017 09:36:54 +0200

gnome-shell (3.26.0-0ubuntu2) artful; urgency=medium

  * fix typo in comment for ubuntu.css
  * Make St checkbox orange instead of blue, as other icons in our theme.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Sep 2017 11:57:56 +0200

gnome-shell (3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Dep on newer mutter.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 15 Sep 2017 07:51:56 +0200

gnome-shell (3.25.91-0ubuntu5) artful; urgency=medium

  Changes for ubuntu session:
  * 71_smarter_alt_tab.patch
    - quick alt-tab (without showing up the switcher) switch only between
      the last window of the last 2 applications to be focused instead of
      raising all windows of those apps. (LP: #1716921)
  * 72_consistent_alt_key_above_tab_behavior.patch:
    - ensure alt + key above tab, when the switcher is opened, focus the first
      window and not directly the second one of an application. This is
      relevant as the select window part of the switcher is only raising the
      selected window, not the whole application. (LP: #1716872)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 12 Sep 2017 09:40:45 +0200

gnome-shell (3.25.91-0ubuntu4) artful; urgency=medium

  [ Jeremy Soller ]
  * Change path of gdm3 stylesheet (LP: #1715722)
  * Add alternatives for gdm3 stylesheet, setting ubuntu.css as the default

  [ Didier Roche ]
  * debian/gnome-shell-common.install:
    Install upstream theme for gdm if vanilla gnome theme is selected.

 -- Jeremy Soller <jeremy@system76.com>  Fri, 08 Sep 2017 10:12:58 -0600

gnome-shell (3.25.91-0ubuntu3) artful; urgency=medium

  * Ship new ubuntu css theme enabled in the ubuntu session.
    We don't generate is from a regexp list or patch as it has complex
    data structure (removal of some parts of stenzas, same source color
    mapping to different destination colors depending as corresponding
    to different elements).
    Right now, we prefer to do a 3-way merge of the theme and look working
    upstream for better theming support.
    Some summary of the changes are:
    - use ubuntu colors for panel, and most graphical elements (dialog box,
      sliders, menu items, buttons highlights).
    - remove rounded corners as they don't play well with nautilus showing up
      desktop and non black panel theme.
    - change blue grey scheme by orange grey (LP: #1690966)
    - change gdm assets and background. Theme it aubergine instead of
      a wallpaper as it matches the boot sequence, and can't be easily changed
      by the user.
    - ensure lock screen matches gdm and shell theming.
    Make the theme maintainable still overriding on purpose some properties
    instead of changing them in context.
  * Theme new assets on build (close and toggle buttons)
  * Add upstream high contrast theme to ubuntu mode. This will default to
    adwaita with upstream colors for accessibility.
  * debian/patches/50_add_ubuntu_desktop_detect.patch:
    - add caching for desktop detection to avoid querying the current desktop
      env variable as iterate through the list each time. For the time of the
      Shell process, we can expect this env variable to stay stable.
  * debian/patches/ubuntu_background_login.patch:
    - Change default background color as we modified the default GDM color
      for our ubuntu session. Change it as well here, still applying the
      background noise loading.
      This screen is appearing for a slip second when the Shell is loading.
  * debian/rules:
    - Use ninja to generate translations. Thanks Jeremy.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 04 Sep 2017 09:24:21 +0200

gnome-shell (3.25.91-0ubuntu2) artful; urgency=medium

  * debian/rules:
    - Don't use variable when passing libexecdir for meson build
    - Change --list-missing to --fail-missing to catch this kind of problem

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Sep 2017 10:38:12 -0400

gnome-shell (3.25.91-0ubuntu1) artful; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1712800)
  * Build with meson
  * debian/control.in:
    - Build-depend on libasound2-dev
    - Bump minimum libglib2.0-dev to 2.53.0
    - Update dependencies for mutter 3.25.90
  * debian/rules:

