## gnome-shell 3.26.2

=== debian/changelog ===
gnome-shell (3.26.2-0ubuntu0.1) artful; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release (LP: #1731053)
  * Drop patches applied in new release:
    - fix_reset_initial_focus.patch
    - git_layout-unset-when-headless.patch

  [ Didier Roche ]
  * Modify debian/patches/70_allow_sound_above_100.patch:
    - Fix a crasher when people log into the ubuntu session without installing
      gsettings-ubuntu-schemas (LP: #1712798)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Nov 2017 16:19:02 -0500

gnome-shell (3.26.1-0ubuntu5) artful; urgency=medium

  [ Didier Roche ]
  * Reenable headless patches and cherry-pick now that the gdm fix
    is in mutter. (LP: #1725153)
  * Add dep on latest mutter to ensure people don't end up in a non working
    UI state again.

  [ Jeremy Bicha ]
  * Restore dependency on gir1.2-gdm-1.0 (LP: #1725288)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Oct 2017 08:38:31 +0200
