=== debian/control ===
--- 
+++ 
@@ -76,6 +76,7 @@
          gir1.2-gdesktopenums-3.0 (>= 3.12),
          gir1.2-geoclue-2.0,
          gir1.2-gcr-3 (>= 3.7.5),
+         gir1.2-gdm-1.0 (>= 3.18.2),
          gir1.2-glib-2.0 (>= 1.45.3),
          gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
          gir1.2-gnomedesktop-3.0 (>= 3.12.0),
@@ -95,7 +96,7 @@
          gnome-shell-common (= ${source:Version}),
          ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.21.3),
-         mutter (>= 3.26.0),
+         mutter (>= 3.26.1-2ubuntu2~),
          python3,
          libglib2.0-bin (>= 2.53.0),
 Recommends: xserver-xorg-legacy,
