## gnome-shell 3.28.1

=== meson_options.txt ===
option('browser_plugin',
  type: 'boolean',
  value: true,
  description: 'Enable extensions.gnome.org browser plugin'
)

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Build API reference'
)

option('man',
  type: 'boolean',
  value: true,
  description: 'Generate man pages'
)

option('networkmanager',
  type: 'boolean',
  value: true,
  description: 'Enable NetworkManager support'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd integration'
)
