=== debian/changelog ===
gnome-shell (3.28.1-0ubuntu2) bionic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * js-ui-Choose-some-actors-to-cache-on-the-GPU.patch:
    - Improve rendering of shell elements moving rendering to GPU
      (LP: #1744001)

  [ Jeremy Bicha ]
  * Cherry-pick polkitAgent-Guard-against-repeated-close-calls.patch:
    - Fix PolicyKit authorization prompt after cancelling once (LP: #1765353)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 23 Apr 2018 15:29:28 -0500

gnome-shell (3.28.1-0ubuntu1) bionic; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop obsolete patches:
    - 27-nm-libexec-path.patch
    - fix-wayland-vbox-crash.patch

  [ Marco Trevisan (Treviño) ]
  Cherry-pick patches applied to upstream git master:
  * ui-Theme-lookup-should-respect-XDG_DATA_DIRS.patch:
    - Renamed from ubuntu_theme_lookup_xdg.patch and cherry-picked from
      upstream
  * workspaceThumbnail-only-update-_porthole-if-the-overview-.patch:
    workspaceThumbnail-rebuild-thumbnails-if-workareas-size-c.patch:
    workspaceThumbnail-initialize-porthole-based-on-workArea.patch:
    - Cherry-picks from upstream, avoid unneeded computations in activities
  * popupMenu-Fix-wrong-call-to-clutter_actor_add_child.patch:
    - Cherry-pick from upstream
  * volume-Add-back-sound-feedback-on-scroll.patch:
    - Fix regression causing missing feedback on volume slider scroll

  Add patches proposed upstream:
  * shell-ignore-invalid-window-monitor-index.patch:
    - Fix crash on accessing on invalid monitor windows (LP: #1724439)
  * StIcon-only-compute-shadow-pipeline-when-the-texture-is-p.patch:
    - Don't try to compute shadows on not allocated icons (LP: #1723378)
  * js-fix-invalid-access-errors.patch:
    - Fix javascript errors (LP: #1747566)
  * workspace-fix-repositioned-windows-in-activities.patch:
    - Ensure windows thumbnails coordinates are correct (LP: #1653153)
  * st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch:
    - Fix possible crash on cache loading
  * st-texture-cache-Don-t-add-NULL-textures-to-cache.patch:
    - Fix crash when deleting NULL textures from cache (LP: #1754445)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 17 Apr 2018 14:40:17 -0400

gnome-shell (3.28.0-0ubuntu5) bionic; urgency=medium

  * No-change rebuild for translations (LP: #1756547)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 07 Apr 2018 15:58:00 +0200

gnome-shell (3.28.0-0ubuntu4) bionic; urgency=medium

  * debian/rules:
    - Drop javascript comments in gnome-shell.pot so the currently used
      version of gettext in LP gets more permissive wrt cases where
      the number of %d modifiers in a translation differs from what's
      in msgid (LP: #1756547).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 06 Apr 2018 15:58:00 +0200

gnome-shell (3.28.0-0ubuntu3) bionic; urgency=medium

  * Recommend bolt for Thunderbolt 3 support (LP: #1759538)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 04 Apr 2018 10:04:50 -0400

gnome-shell (3.28.0-0ubuntu2) bionic; urgency=medium

  * debian/patches/ubuntu_theme_lookup_xdg.patch:
    - theme lookup should respect XDG_DATA_DIRS (LP: #1760039)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 30 Mar 2018 10:21:27 +0200

gnome-shell (3.28.0-0ubuntu1) bionic; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Mar 2018 10:39:16 -0400

gnome-shell (3.27.92-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate
  * Drop api patch applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Mar 2018 05:38:48 -0500

gnome-shell (3.27.91-0ubuntu1) bionic; urgency=medium

  [ Didier Roche ]
  * New upstream version (LP: #1751070, LP: #1722725,
    LP: #1714989, LP: #1724557, LP: #1723857, LP: #1744970):
    - debian/patches/70_allow_sound_above_100.patch,
      debian/patches/ubuntu-lightdm-user-switching.patch patches
      refreshed for new release. Removed ': function()' syntax as
      upstreamed removed them in those context.
    - debian/patches/ubuntu_panel_center_date_workarea.patch removed as
      upstreamed now.
    - debian/control.in, debian/rules:
      bump deps, add sassc and libnm-dev which is now required.
      drop caribou dep, as the OSK is now built-in.
    - debian/rules:
      use now with renamed build options.
  * debian/ubuntu-session-mods/ubuntu.css, debian/rules:
    - adapt to new GNOME Shell theme including OSK.
    - color shift keys in orange in OSK and use differente svg.
  * debian/rules:
    - some duplication removal.
  * debian/patches/27-nm-libexec-path.patch,
    debian/patches/71_smarter_alt_tab.patch,
    debian/patches/fix-wayland-vbox-crash.patch,
    debian/patches/optional-hot-corner.patch,
    debian/patches/ubuntu_block_mode_extension_update.patch,
    debian/patches/ubuntu_gdm.patch,
    debian/patches/ubuntu_lock_on_suspend.patch:
    - unfuzzed
  * Cherry-pick git_ea0770ae22a6c34797db4343cf7d2f59bb8d68f6.patch:
    - upstream mutter API bump.
  * debian/gnome-shell-common.install, debian/rules:
    - the .css files aren't shipped anymore, so copy from the built version.

  [ Jeremy Bicha ]
  * Update NetworkManager dependencies

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 02 Mar 2018 10:04:06 +0100

gnome-shell (3.26.2-0ubuntu3) bionic; urgency=medium

  * debian/patches/ubuntu_panel_center_date_workarea.patch:
    Align date entry relative to workarea. That way, title bars are
    centered relative to date entry. (LP: #1716432)
  * :
    Don't allow ubuntu mode extension to update
    Ensure that no update is proposed or loaded if sideloaded (always
    prefer system version) on the ubuntu session.
    We want to ensure that the default code running is going through
    our QA and security team process than being loaded from a 3rd
    party website.
    Also, that will enable us to upload newer versions on GNOME
    extension website while still letting older ubuntu release versions

