=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-shell
@@ -11,9 +11,7 @@
 Build-Depends: debhelper (>= 10.3~),
                gnome-control-center-dev (>= 1:3.4),
                gnome-pkg-tools (>= 0.11),
-               gettext,
                pkg-config (>= 0.22),
-               autoconf-archive,
                gobject-introspection (>= 1.49.1),
                gsettings-desktop-schemas-dev (>= 3.21.3),
                gtk-doc-tools,
@@ -33,8 +31,9 @@
                libgnome-menu-3-dev,
                libgstreamer1.0-dev (>= 0.11.92),
                libgtk-3-dev (>= 3.21.6),
-               libibus-1.0-dev,
-               libmutter-1-dev (>= 3.26.0),
+               libibus-1.0-dev (>= 1.5.2),
+               libmutter-2-dev (>= 3.27.91),
+               libnm-dev (>= 0.9.8) [linux-any],
                libnm-glib-dev (>= 0.9.8) [linux-any],
                libnm-glib-vpn-dev (>= 0.9.8) [linux-any],
                libnm-gtk-dev (>= 0.9.8) [linux-any],
@@ -51,13 +50,13 @@
                meson (>= 0.42),
                python3,
                gir1.2-accountsservice-1.0 <!nocheck>,
-               gir1.2-caribou-1.0 (>= 0.4.8) <!nocheck>,
                gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
                gir1.2-gweather-3.0 <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
                xauth <!nocheck>,
-               xvfb <!nocheck>
+               xvfb <!nocheck>,
+               sassc,
 Standards-Version: 4.0.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-shell/ubuntu
@@ -67,11 +66,9 @@
 Depends: ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends},
-         caribou (>= 0.4.8),
          evolution-data-server (>= 3.17.2),
          gir1.2-accountsservice-1.0,
          gir1.2-atspi-2.0 (>= 2.9.91),
-         gir1.2-caribou-1.0 (>= 0.4.8),
          gir1.2-freedesktop,
          gir1.2-gdesktopenums-3.0 (>= 3.12),
          gir1.2-geoclue-2.0,
@@ -83,9 +80,9 @@
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0,
          gir1.2-ibus-1.0 (>= 1.5.2),
-         gir1.2-mutter-1 (>= 3.26.0),
-         gir1.2-networkmanager-1.0 [linux-any],
-         gir1.2-nmgtk-1.0 (>= 0.9.8) [linux-any],
+         gir1.2-mutter-2 (>= 3.27.91),
+         gir1.2-nm-1.0 [linux-any],
+         gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
          gir1.2-polkit-1.0,
          gir1.2-rsvg-2.0,
@@ -96,18 +93,18 @@
          gnome-shell-common (= ${source:Version}),
          ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.21.3),
-         mutter (>= 3.26.1-2ubuntu2~),
+         mutter (>= 3.27.91),
          python3,
          libglib2.0-bin (>= 2.53.0),
 Recommends: xserver-xorg-legacy,
+            bolt (>= 0.2),
             gkbd-capplet,
             gnome-control-center,
             gnome-user-guide,
             iio-sensor-proxy,
             unzip,
             ubuntu-session | gnome-session,
-Suggests: gir1.2-gdm-1.0 (>= 3.18.2),
-          gir1.2-telepathyglib-0.12,
+Suggests: gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2 (>= 0.8.0),
           chrome-gnome-shell,
           gdm3 (>= 3.10.0.1-3~),
