## gnome-shell 3.28.3

=== debian/changelog ===
gnome-shell (3.28.3-0ubuntu0.18.04.4) bionic; urgency=medium

  * debian/patches/ibus-set-content-type-no-holdKeyboard.patch:
    - Cherry-pick upstream commit to prevent focus stealing on password fields
      in firefox when ibus is used (LP: #1765304)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 05 Dec 2018 13:08:10 +0000

gnome-shell (3.28.3-0ubuntu0.18.04.3) bionic; urgency=medium

  * debian/ubuntu.css:
    - use defined color for menu separators (LP: #1739931)
    - set StEntry minimun height to work properly with Ubuntu font (LP: #1743058)
  * debian/patches/st-button-Ignore-pointer-emulated-touch-events.patch:
    - Don't emit two click events on touch under X11 (LP: #1745888)
  * d/p/st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
    d/p/st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
    - Handle NULL scroll bars in st-scroll-view (LP: #1725312)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 06 Nov 2018 17:49:17 +0000

gnome-shell (3.28.3-0ubuntu0.18.04.2) bionic; urgency=medium

  * New upstream release (LP: #1718931, LP: #1782614)
  * debian/patches/30-remoteMenu-Prevent-the-shell-from-becoming-unrespons.patch,
    debian/patches/magnifier.js-Fix-zoom-juddering.patch,
    debian/patches/st-label-Unset-clutter-text-instance-on-disposal.patch,
    debian/patches/st-texture-cache-Don-t-add-NULL-textures-to-cache.patch,
    debian/patches/st-texture-cache-Save-cairo-surfaces-to-a-different-map.patch,
    debian/patches/ui-Theme-lookup-should-respect-XDG_DATA_DIRS.patch:
    - Drop patches applied on the 3.28 branch
  * debian/patches/js-fix-invalid-access-errors.patch:
    - Refreshed to reflect upstream changes
  * d/p/popupMenu-Don-t-handle-key-presses-directly-if-there-are-.patch
    -  Don't handle key presses directly if there are modifiers (LP: #1784671)
  * debian/patches/workspace-fix-repositioned-windows-in-activities.patch:
    - Cherry-pick from upstream 3.28 branch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 03 Aug 2018 07:18:24 +0100

gnome-shell (3.28.2-0ubuntu0.18.04.1) bionic; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release (LP: #1775145)
    - fixes valid password rejection at login screen (LP: #1765261)
  * Drop patches applied upstream:
    - debian/patches/polkitAgent-Guard-against-repeated-close-calls.patch
    - debian/patches/popupMenu-Fix-wrong-call-to-clutter_actor_add_child.patch
    - debian/patches/workspaceThumbnail-initialize-porthole-based-on-workArea.patch
    - debian/patches/workspaceThumbnail-only-update-_porthole-if-the-overview-.patch
    - debian/patches/workspaceThumbnail-rebuild-thumbnails-if-workareas-size-c.patch

  [ Andrea Azzarone ]
  * debian/patches/ubuntu_lock_on_suspend.patch: inhibit suspend until the
    screen is locked also in the case where automatic screen lock is disabled
    and screen lock on suspend is enabled (LP: #1768786)

  [ Marco Trevisan (Treviño) ]
  * Cherry pick upstream patches:
    - debian/patches/st-label-Unset-clutter-text-instance-on-disposal.patch (LP: #1714989)
  * debian/patches/st-texture-cache-Don-t-add-NULL-textures-to-cache.patch:
    - Cherry pick updated version from upstream, splitted in:
    + debian/patches/st-texture-cache-Don-t-add-NULL-textures-to-cache.patch
    + debian/patches/st-texture-cache-Save-cairo-surfaces-to-a-different-map.patch
  * debian/patches/authPrompt-Do-not-enable-sensitivity-if-retries-are-disal.patch
    debian/patches/authPrompt-Unset-preemptiveAnswer-on-reset.patch
    debian/patches/gdm-util-Always-allow-to-retry-login-in-unlock-mode.patch:
    - GDM gnome-shell greeter fix to fix unneeded login attempts (LP: #1777956)
  * debian/patches/series:
    - reorder to apply upstream cherry-picks before the others
  
  [ Daniel van Vugt ]
  * debian/patches/magnifier.js-Fix-zoom-juddering.patch:
    - magnifier.js: Fix zoom juddering (LP: #1691675)

 -- Marco Trevisan <marco@ubuntu.com>  Tue, 21 Jun 2018 01:45:42 +0200
