## gnome-shell 3.28.3+git20190124

=== debian/changelog ===
gnome-shell (3.28.3+git20190124-0ubuntu18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Potential keyboard shortcuts and other actions
    - debian/patches/CVE-2019-3820-*.patch: fix in
      js/ui/panel.js, js/gdm/authPrompt.js, js/gdm/loginDialog.js,
      js/ui/shellEntry.js.
    - CVE-2019-3820

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 25 Feb 2019 12:53:33 -0300

gnome-shell (3.28.3+git20190124-0ubuntu18.04.1) bionic; urgency=medium

  * New git snapshot release up to commit 24cdcc56d (LP: #1811900)
    - Don't fill journal with osdWindow errors (LP: #1772677)
    - Fix missing icon in keyboard indicator (LP: #1812266)
  * d/p/authPrompt-Do-not-enable-sensitivity-if-retries-are-disal.patch,
    d/p/authPrompt-Unset-preemptiveAnswer-on-reset.patch,
    d/p/gdm-util-Always-allow-to-retry-login-in-unlock-mode.patch,
    d/p/ibus-set-content-type-no-holdKeyboard.patch,
    d/p/popupMenu-Don-t-handle-key-presses-directly-if-there-are-.patch,
    d/p/st-button-Ignore-pointer-emulated-touch-events.patch,
    d/p/shell-ignore-invalid-window-monitor-index.patch,
    d/p/workspace-fix-repositioned-windows-in-activities.patch:
    - Removed patches applied upstream
  * d/p/StIcon-only-compute-shadow-pipeline-when-the-texture-is-p.patch,
    d/p/js-fix-invalid-access-errors.patch,
    d/p/js-ui-Choose-some-actors-to-cache-on-the-GPU.patch,
    d/p/optional-hot-corner.patch,
    d/p/st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch,
    d/p/workaround_crasher_fractional_scaling.patch:
    - Refreshed as per upstream changes
  * d/p/keyboard-Filter-redundant-FocusTracker-position-changed-s.patch,
    d/p/keyboard-Listen-to-IbusPanelService-focus-in-out-to-track.patch:
    - Fix OSK activation on X11 (LP: #1760399)
  * d/p/power-Label-the-PENDING_CHARGE-state-as-Not-Charging.patch:
    - Label the PENDING_CHARGE state as "Not Charging" (LP: #1745032)
  * d/p/debian/patches/volume-Add-back-sound-feedback-on-scroll.patch:
    - Add missing include (LP: #1811908)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Jan 2019 18:29:40 +0000
