=== debian/control ===
--- 
+++ 
@@ -59,7 +59,10 @@
                sassc,
 Standards-Version: 4.0.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-shell/ubuntu
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell/+git/gnome-shell/+ref/ubuntu/bionic
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/gnome-shell -b ubuntu/bionic
 
 Package: gnome-shell
 Architecture: linux-any
