## gnome-shell 3.28.4

=== debian/changelog ===
gnome-shell (3.28.4-0ubuntu18.04.7) bionic; urgency=medium

  [ Matthew Ruffell ]
  * d/p/authPrompt-Properly-get-oVirt-service-name.patch,
    d/p/authPrompt-set-value-of-beginRequestType-to-DONT_PROVIDE_.patch,
    d/p/gdm-Introduce-vmware-credential-manager-for-pre-authentic.patch,
    d/p/gdm-Refactor-oVirt-to-a-generic-CredentialManager-interfa.patch:
    - Enable support for VMware Horizon SSO to ensure compatibility
      with the Horizon Agent (LP: #1886592)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Rename VMWare OVirt patches to use Gbp-Pq format

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 16 Dec 2020 01:24:41 +0100

gnome-shell (3.28.4-0ubuntu18.04.6) bionic; urgency=medium

  - d/p/util-cache-local-GTimeZone.patch
    d/p/ShellAppCache-add-cache-to-help-keep-I-O-off-main-thread.patch,
    d/p/appDisplay-use-ShellAppCache-to-translate-folder-names.patch,
    d/p/appDisplay-use-ShellAppCache-to-access-GAppInfo.patch,
    d/p/Revert-appDisplay-use-ShellAppCache-to-access-GAppInfo.patch,
    d/p/Revert-appDisplay-use-ShellAppCache-to-translate-folder-n.patch,
    d/p/Revert-ShellAppCache-add-cache-to-help-keep-I-O-off-main-.patch,
    d/p/Revert-util-cache-local-GTimeZone.patch:
    + Include all the upstream patches to fix notification freezes
      (LP: #1838152).
  - d/p/series: Reorder so that upstream fixes come first

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Sep 2020 20:16:18 +0200

gnome-shell (3.28.4-0ubuntu18.04.5) bionic; urgency=medium

  * d/p/keyboardManager_apply-added-input-sources-instantly.patch:
    - Renamed to keyboardManager-Avoid-idempotent-calls-to-meta_backend_se.patch
    - Fixed DEP-3 tagging, and update them as per upstream cherry-pick
  * d/p/shell-global-Make-saving-of-persistent-state-asynchronous.patch:
    - Make saving of persistent state asynchronous (LP: #1838152)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 17 Aug 2020 13:48:08 +0200

gnome-shell (3.28.4-0ubuntu18.04.4) bionic; urgency=medium

  * d/p/keyboardManager_apply-added-input-sources-instantly.patch:
    - Make added input sources work instantly without relogin/reboot
      or other tricks (LP: #1890875).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 14 Aug 2020 18:26:00 +0200

gnome-shell (3.28.4-0ubuntu18.04.3) bionic; urgency=medium

  * d/p/ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
    - Add support for cancelling remote search providers when the overlay
      is closed (and actually stop searches when requested from UI, LP: #1756826)
  * debian/rules: Honour nocheck parameter

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Oct 2019 05:23:08 +0200

gnome-shell (3.28.4-0ubuntu18.04.2) bionic; urgency=medium

  * d/p/osk-layouts-Fix-French-layout.patch:
    - osk-layouts: Fix French layout (LP: #1832875)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Jun 2019 21:07:13 +0100

gnome-shell (3.28.4-0ubuntu18.04.1) bionic; urgency=medium

  * New upstream stable release
    - Fix ellipsization in dialog subtitles/bodies (LP: #1809788)
    - dnd: Only handle touch events in wayland (LP: #1817020)
    - windowManager: listen actively to windows being destroyed during WS switch
      (LP: #1812527)
    - Fix unresponsive-app dialog blocking input in other windows (LP: #1740869)
    - Fix regression on missing spread animation (LP: #1827284)
  * d/p/js-fix-invalid-access-errors.patch,
    d/p/js-ui-Choose-some-actors-to-cache-on-the-GPU.patch:
    - Refreshed
  * d/p/switchMonitor-switch-to-next-config-upon-initial-keypress.patch
    - Ensure switch display mode is cyclic (LP: #1772811)
  * debian/control:
    - Depends on mutter 3.28.4-0ubuntu18.04.1
  * d/p/st-widget-Add-missing-g_return_val_if_fail.patch:
    - st-widget: Protect from NULL obj in get_theme_node (LP: #1796606)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 10 May 2019 11:43:10 +0100
