=== debian/rules ===
--- 
+++ 
@@ -52,4 +52,6 @@
 	dh_strip --dbgsym-migration='gnome-shell-dbg (<< 3.20.2-2~)'
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	xvfb-run dh_auto_test
+endif
